DH_INSTALLWM(1)

NOMBRE
dh_installwm - Registra un gestor de ventanas

SINOPSIS
dh_installwm [opciones-de-debhelper] [-n] [--priority=n] [gestor ...]

DESCRIPCIÓN
dh_installwm is a debhelper program that is responsible for generating the postinst and prerm commands that register a window manager with update-alternatives(8). The window manager's man page is also registered as a slave symlink (in v6 mode and up). It must be installed in usr/share/man/man1/ in the package build directory prior to calling dh_installwm. In compat 9 and earlier, the manpage was optional.

FICHEROS

debian/paquete.wm
    Lista los programas del gestor de ventanas a registrar.

    Supports substitution variables in compat 13 and later as documented in debhelper(7).

OPCIONES

--priority=n
    Define la prioridad del gestor de ventanas. El valor predeterminado es 20, demasiado bajo para la mayoría de gestores de ventanas; consulte el documento Normas de Debian para instrucciones acerca de cómo calcular el valor correcto.

-n, --no-scripts
    No modifica los scripts postinst/prerm. Si se especifica esta orden, no hará nada.

-A, --all
    Modify scripts for window managers specified by command line parameters in ALL packages acted on, not just the first.

gestor ...
    Programas del gestor de ventanas a registrar.

NOTAS
Esta orden no es idempotente. Debería invocar dh_prep(1) entre cada invocación de esta orden. De otro modo, puede causar que los scripts del desarrollador contengan partes duplicadas.

VÉASE TAMBIÉN
debhelper(7)

Este programa es parte de debhelper.

AUTOR
Joey Hess <joeyh@debian.org>

TRADUCTOR
Traducción de Rubén Porras Campo <debian-l10n-spanish@lists.debian.org> Actualización de Omar Campagne Polaino